package com.example.blgm419_sqllite;

import android.content.ContentValues;
import android.content.Context;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;

public class SqLite_DB extends SQLiteOpenHelper {
    private Context context;
    private static final String Database_ismi= "Ogrenciler.db";
    private static final int Version=1;
    private static final String TABLO_ISMI= "Ogrenci";
    private static final String SUTUN_ID= "_id";
    private static final String OG_ISIM= "isim";
    private static final String OG_TEL= "telefon";


    public SqLite_DB(Context c) {
        super(c, Database_ismi, null, Version);
        this.context=c;
    }

    @Override
    public void onCreate(SQLiteDatabase sqLiteDatabase) {
        String yaratOgrenciler = "CREATE TABLE " + TABLO_ISMI + " (" + SUTUN_ID + " INTEGER PRIMARY KEY AUTOINCREMENT, " + OG_ISIM + " TEXT, " + OG_TEL + " INTEGER);";
        sqLiteDatabase.execSQL(yaratOgrenciler);

    }

    @Override
    public void onUpgrade(SQLiteDatabase sqLiteDatabase, int oldversion, int newversion) {

        sqLiteDatabase.execSQL("DROP TABLE IF EXISTS " + TABLO_ISMI);
        onCreate(sqLiteDatabase);

    }

    void kisiEkle(String isim, int telno){
        SQLiteDatabase db=this.getWritableDatabase();
        ContentValues cv=new ContentValues();
        cv.put(OG_ISIM, isim);
        cv.put(OG_TEL, telno);
        db.insert(TABLO_ISMI, null, cv);
    }


    Cursor bilgileriOku(){
        String query= "SELECT * FROM " + TABLO_ISMI;
        SQLiteDatabase db=this.getReadableDatabase();
        Cursor c=null;
        if (db != null){
            c=db.rawQuery(query,null);
        }
        return c;

    }

    void kisisil(String id){
        SQLiteDatabase db=this.getWritableDatabase();
        db.delete(TABLO_ISMI, "_id=?",new String[]{id});


    }

    void degistir(String isimara,int yenitel){
        SQLiteDatabase db=this.getWritableDatabase();
        ContentValues cv=new ContentValues();
        //cv.put(OG_ISIM, isimara);
        cv.put(OG_TEL, yenitel);

        db.update(TABLO_ISMI,cv, "isim=?",new String[]{isimara});

    }
}
